#!/bin/ksh
. $PWD/../setupCmdLine.sh

# setup the classpath
WAS_CP=$WAS_HOME/lib/ibmwebas.jar
WAS_CP=$WAS_CP:$WAS_HOME/properties
WAS_CP=$WAS_CP:$WAS_HOME/lib/servlet.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/webtlsrn.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/lotusxsl.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/compat.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/xalan.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/ns.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/ejs.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/ujc.jar
WAS_CP=$WAS_CP:$DB2_HOME/sqllib/java/db2java.zip
WAS_CP=$WAS_CP:$WAS_HOME/lib/repository.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/admin.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/console.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/was20cm.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/tasks.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/xml4j.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/vaprt.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/sslight.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/ibmjndi.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/deployTool.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/databeans.jar
WAS_CP=$WAS_CP:$WAS_HOME/classes
WAS_CP=$WAS_CP:$JAVA_HOME/lib/wstools.jar
WAS_CP=$WAS_CP:$JAVA_HOME/lib/tools.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/bsf.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/dertrjrt.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/derdbpw.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/ivjejb35.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/js.jar
export CLASSPATH=$WAS_CP            

LP=$LP:$WAS_HOME/bin:$DB2_HOME/sqllib/lib
LP=$LP:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH=$LP

# Set the ulimit
LIMIT=`ulimit -a | grep nofiles | cut -f 2 -d " "`
if [ "${LIMIT}" != "unlimited" ]
then
  if [ $LIMIT -lt 1024 ]
  then
    ulimit -n 1024
  fi
fi

$JAVA_HOME/bin/java  -DDER_DRIVER_PATH=$DER_DRIVER_PATH  -Djavax.rmi.CORBA.UtilClass=com.ibm.CORBA.iiop.Util -Dcom.ibm.CORBA.iiop.noLocalCopies=true com.ibm.ejs.sm.server.AdminServer -bootFile $WAS_HOME/bin/admin.config $1 $2 $3 $4

